﻿using DapperORM.Common.Extention.DTO;
using DapperORM.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Core.Models.Tables
{
    public class Map_Project_Push : BaseModel
    {
        /// <summary>
        /// 推送任务描述
        /// </summary>
        public System.String Name_Des { get; set; }
        /// <summary>
        /// sys_user表的Id
        /// </summary>
        public System.String Push_Id { get; set; }
        /// <summary>
        /// 推送系统的Id
        /// </summary>
        public System.String PushSys_ProId { get; set; }

        /// <summary>
        /// 子项目的Id
        /// </summary>

        public System.String Project_Id { get; set; }
        /// <summary>
        /// 推送对象
        /// </summary>
        
        public System.String Push_Target { get; set; }
        /// <summary>
        /// 推送方式0:短信 1:APP
        /// </summary>

        public System.String Push_Style { get; set; }
        /// <summary>
        /// 推送的标签
        /// </summary>
        public System.String Push_TagId { get; set; }
        /// <summary>
        /// 推送title
        /// </summary>

        public System.String Push_Title { get; set; }
        /// <summary>
        /// 推送Body
        /// </summary>

        public System.String Push_Body { get; set; }
        /// <summary>
        /// 推送方式一次，日，周，月
        /// </summary>

        public System.Int32? Push_Type { get; set; }
        /// <summary>
        /// 推送周期
        /// </summary>

        public System.Int32? Push_Cycle { get; set; }
        /// <summary>
        /// 推送月份1,2  1月,2月推送
        /// </summary>

        public System.String Push_Month { get; set; }
        /// <summary>
        /// 推送订周几，几号推送周一，周二/2号，5号
        /// </summary>

        public System.String Push_Which { get; set; }
        /// <summary>
        /// 推送数据来源
        /// </summary>

        public System.String Push_Action { get; set; }
        /// <summary>
        /// 推送数据来源方式
        /// </summary>

        public System.Int32? Push_ActionType { get; set; }
        /// <summary>
        /// ios跳转
        /// </summary>

        public System.String Push_IosLink { get; set; }
        /// <summary>
        /// and跳转
        /// </summary>

        public System.String Push_AndLink { get; set; }
        /// <summary>
        /// web跳转
        /// </summary>

        public System.String Push_WebLink { get; set; }
        /// <summary>
        /// 微信推送的配置
        /// </summary>
        public System.String Push_WechatLink { get; set; }
        /// <summary>
        /// 链接数据量的Id
        /// </summary>
        public System.String Db_ConnectId { get; set; }
        /// <summary>
        /// 查询用户语句
        /// </summary>
        public System.String Push_User_Action { get; set; }
        /// <summary>
        /// 查询推送用户数据来源方式
        /// </summary>
        public System.Int32? Push_User_ActionType { get; set; }
        /// <summary>
        /// 查询推送用户数据库连接
        /// </summary>
        public System.String Db_User_ConnectId { get; set; }
        /// <summary>
        /// 微信推送模板
        /// </summary>
        public System.String Wx_MsmodelId { get; set; }
        /// <summary>
        /// 微信模板消息结构
        /// </summary>
        public System.String Wx_MsmTemp { get; set; }

        /// <summary>
        /// 微信Token
        /// </summary>
        public System.String WechatToken { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        public System.String User_Id { get; set; }
        /// <summary>
        /// 推送返回的结果
        /// </summary>
        public System.String Return_Code { get; set; }
        /// <summary>
        /// 下次执行的时间
        /// </summary>
        public DateTime Exec_Time { get; set; }
        /// <summary>
        /// 任务状态
        /// </summary>
        public int Exec_Status { get; set; }
        /// <summary>
        /// 触发器的唯一Key
        /// </summary>
        public string Trigger_Key { get; set; }
        /// <summary>
        /// 外面传输过来的变量
        /// </summary>
        [IgnoreColumn]
        public Dictionary<string, string> valMap { get; set; }


    }
}
